%global momorel 8

Name:           perl-Text-Iconv
Version:        1.7
Release: %{momorel}m%{?dist}
Summary:        Perl interface to iconv() codeset conversion function
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-Iconv/
Source0:        http://www.cpan.org/modules/by-module/Text/Text-Iconv-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl

%description
The Text::Iconv module provides a Perl interface to the iconv() function as
defined by the Single UNIX Specification. The convert() method converts the
encoding of characters in the input string from the fromcode codeset to the
tocode codeset, and returns the result.

%prep
%setup -q -n Text-Iconv-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/Text/Iconv/*
%{perl_vendorarch}/Text/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7-2m)
- rebuild against gcc43

* Thu Oct 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7-1m)
- update to 1.7

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6-1m)
- update to 1.6
- do not %%NoSource macro

* Fri Aug 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5-1m)
- update to 1.5

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-3m)
- use vendor

* Thu Mar  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-2m)
- fix duplicate files.

* Sun Feb 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-1m)
- Specfile autogenerated by cpanspec 1.69.1 for Momonga Linux.
